class Application(ApplicationABC):

    def __init__(self, config: ConfigurationABC, services: ServiceProviderABC):
        ApplicationABC.__init__(self, config, services)

        self._bot: BotService = services.get_service(BotServiceABC)
        self._logger: LoggerABC = services.get_service(LoggerABC)

    async def configure(self):
        pass

    async def main(self):
        try:
            await self._bot.run()
        except Exception as e:
            self._logger.error(__name__, 'A fatal error occured starting the bot', e)
